%% Generated by lilypond-book
%% Options: [exampleindent=10.16\mm,indent=0\mm,line-width=160\mm]
\include "lilypond-book-preamble.ly"


% ****************************************************************
% Start cut-&-pastable-section
% ****************************************************************

#(ly:set-option 'eps-box-padding 3.000000)



\paper {
  indent = 0\mm
  line-width = 160\mm
  % offset the left padding, also add 1mm as lilypond creates cropped
  % images with a little space on the right
  line-width = #(- line-width (* mm  3.000000) (* mm 1))
}

\layout {
  
}





% ****************************************************************
% ly snippet:
% ****************************************************************
\sourcefilename "bar-line-define-section-v-repeat.ly"
\sourcefileline 0
\version "2.23.1"

#(ly:set-option 'warning-as-error #t)

\header {
  texidoc="The @code{\\section} command gives @code{sectionBarType}
precedence in the selection of repeat bar types where
@code{underlyingRepeatType} would normally be used.  Customizing
@code{sectionBarType} is effective when appropriate bar lines are
defined.  The output should show two adjacent repeated sections with
dots outside brackets, followed by a single thick bar line."
}

\layout {
  ragged-right = ##t
}

%% Notice that we define *only* annotated versions of these.
%%
%% For a score with span-bars, ";[" would need to be defined as
%% well, but we don't need to complicate this test with that.
\defineBarLine ";[-.-test" #'(";[" ";[" "") % start repeat
\defineBarLine "];-.-test" #'("];" "];" "") % end repeat
\defineBarLine "];[-.-test" #'("];[" "];[" "") % double repeat
\defineBarLine ".-test" #'("." "." "") % section

\new Score \with {
  %% N.B. We don't want the annotation here.  LilyPond should append
  %% it automatically where \section is used.
  doubleRepeatType = "];["
  endRepeatType = "];"
  startRepeatType = ";["
  sectionBarType = ".-test"
} \new Staff \fixed c' {
  %% It is important that these bars are not aligned to measure
  %% boundaries.  It shows that LilyPond chooses sectionBarType over
  %% underlyingRepeatType.
  r2. \repeat unfold 2 { \repeat volta 2 { \section r4 | r2. } }
  \section r4 | r2. \section r4 |
}



% ****************************************************************
% end ly snippet
% ****************************************************************
